Bug 19190 - LS-120 not recognized as block device
LS-120 not recognized as block device
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-16 13:54 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-16 13:54:24 EDT
The Matsushita Slim3 LS-120 (Model LKM-FB33-5) is not recognized by any of 
the processes used to create a boot disk (mkbootdisk, mount, or dd). On my 
Sager Notebook with a Pentium III 500 MHz. CPU, it is loaded on the 
secondary IDE controller as a slave. The initial DOS-based scan recognizes 
it as hdd, but once Linux has booted, it is no longer recognized as such. 
Further information can be found as messages documented for Service 
Request 158474, handled primarily by Will Jones at Red Hat. Because I was 
loading this on a machine designed to dual boot to Windows NT 4.0, I was 
able to boot to the installed version of Linux only by using Bootpart.exe 
which I had downloaded from the Web.
Comment 1 giulioo 2000-10-17 17:13:27 EDT
The following stuff is in response to your subject "LS-120 not recognized as 
block device". The issues with mkbootdisk and dd need to be solved keeping in 
mind that the ls120 is like an ide disk and not a floppy after the boot is 
complete.

Look at the dmesg output. What does it shows for hdd?

Generally you'll either see something like:
hdd: LS-120 VER5 00 UHD Floppy, ATAPI FLOPPY drive
or:
hdd: , ATAPI UNKNOWN (type 31) drive

In the first case all is ok.
In the 2nd case:
a) put an IDE disk on hdc and reboot, or put the ls120 as slave on hdb with hda 
an ide disk (this fixed the issue for me on many systems) :-)
b) apply the following patch that is in 2.2.16 (this solve an ls120 detect 
issue on certain mainboard/bioses) or upgrade to 2.2.16

--- v2.2.15/linux/drivers/block/ide-probe.c Wed May  3 17:16:33 2000
+++ linux/drivers/block/ide-probe.c Wed Jun  7 14:26:42 2000
@@ -191,6 +191,10 @@
    } else
        hd_status = IDE_ALTSTATUS_REG;  /* use non-intrusive polling */
 
+   /* set features register for atapi identify command */
+   if((cmd == WIN_PIDENTIFY))
+           OUT_BYTE(0,IDE_FEATURE_REG); /* disable dma & overlap mode */
+
 #if CONFIG_BLK_DEV_PDC4030
    if (IS_PDC4030_DRIVE) {
        extern int pdc4030_cmd(ide_drive_t *, byte);


Making an ls120 boot disk is something more complicated, see 
http://www.linuxrouter.org/ for instructions.

Comment 2 Need Real Name 2000-10-22 04:32:43 EDT
dmesg reveals pretty much the former alternative, but all is not "OK." Keying 
on one of Will Jones' last suggestions, I tried mkfs on hdd, the LS-120. The 
result on each initial try included something like hdd: hdd1 hdd2 hdd3 hdd4 all 
repeated several times. Subsequent tries at mkbootdisk forced most of the 
necessary files on to the disk, but also gave an "unknown partition table" 
error message. mkbootdisk without a previous mkfs revealed the same error 
message. The resultant "boot disk" failed to boot Linux. I was surprised to 
find that it did not even result in an error message about a non-bootable disk. 
The boot process just passed right over the floppy to read the hard drive.
Comment 3 Nalin Dahyabhai 2000-10-24 15:39:36 EDT
The LS-120 is a removable hard-drive, so it has to have a partition table.  This
means that you can't make a filesystem directly on the disk.  Currently,
mkbootdisk doesn't know how to create boot disks on removable hard disks.  Mount
and dd not being able to access the disk is more likely a result of the
aforementioned problems.
Comment 4 Bill Nottingham 2006-08-07 15:30:50 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 12:48:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.